Yandex Cloud
Поиск
Связаться с экспертомПопробовать бесплатно
  • Кейсы
  • Документация
  • Блог
  • Все сервисы
  • Статус работы сервисов
  • Marketplace
    • Доступны в регионе
    • Инфраструктура и сеть
    • Платформа данных
    • Искусственный интеллект
    • Безопасность
    • Инструменты DevOps
    • Бессерверные вычисления
    • Управление ресурсами
  • Все решения
    • По отраслям
    • По типу задач
    • Экономика платформы
    • Безопасность
    • Техническая поддержка
    • Каталог партнёров
    • Обучение и сертификация
    • Облако для стартапов
    • Облако для крупного бизнеса
    • Центр технологий для общества
    • Партнёрская программа
    • Поддержка IT-бизнеса
    • Облако для фрилансеров
    • Обучение и сертификация
    • Блог
    • Документация
    • Мероприятия и вебинары
    • Контакты, чаты и сообщества
    • Идеи
    • Калькулятор цен
    • Тарифы
    • Акции и free tier
  • Кейсы
  • Документация
  • Блог
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Network Load Balancer
KZ
  • Начало работы
  • Управление доступом
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • Start
        • Stop
        • AttachTargetGroup
        • DetachTargetGroup
        • GetTargetStates
        • AddListener
        • RemoveListener
        • ListOperations
        • DisableZones
        • EnableZones
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • История изменений
  • Вопросы и ответы
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Path parameters
  • Body parameters
  • ListenerSpec
  • ExternalAddressSpec
  • InternalAddressSpec
  • AttachedTargetGroup
  • HealthCheck
  • TcpOptions
  • HttpOptions
  • Response
  • Status
  1. Справочник API
  2. REST (англ.)
  3. NetworkLoadBalancer
  4. Update

Network Load Balancer API, REST: NetworkLoadBalancer.Update

Статья создана
Yandex Cloud
Обновлена 1 июля 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Body parameters
  • ListenerSpec
  • ExternalAddressSpec
  • InternalAddressSpec
  • AttachedTargetGroup
  • HealthCheck
  • TcpOptions
  • HttpOptions
  • Response
  • Status

Updates the specified network load balancer.

HTTP requestHTTP request

PATCH https://load-balancer.api.yandexcloud.kz/load-balancer/v1/networkLoadBalancers/{networkLoadBalancerId}

Path parametersPath parameters

Field

Description

networkLoadBalancerId

string

Required field. ID of the network load balancer to update.
To get the network load balancer ID, use a NetworkLoadBalancerService.List request.
The length must be less than or equal to 50.
This field is required.

Body parametersBody parameters

{
  "updateMask": "string",
  "name": "string",
  "description": "string",
  "labels": "object",
  "listenerSpecs": [
    {
      "name": "string",
      "port": "string",
      "protocol": "string",
      // Includes only one of the fields `externalAddressSpec`, `internalAddressSpec`
      "externalAddressSpec": {
        "address": "string",
        "ipVersion": "string"
      },
      "internalAddressSpec": {
        "address": "string",
        "subnetId": "string",
        "ipVersion": "string"
      },
      // end of the list of possible fields
      "targetPort": "string"
    }
  ],
  "attachedTargetGroups": [
    {
      "targetGroupId": "string",
      "healthChecks": [
        {
          "name": "string",
          "interval": "string",
          "timeout": "string",
          "unhealthyThreshold": "string",
          "healthyThreshold": "string",
          // Includes only one of the fields `tcpOptions`, `httpOptions`
          "tcpOptions": {
            "port": "string"
          },
          "httpOptions": {
            "port": "string",
            "path": "string"
          }
          // end of the list of possible fields
        }
      ]
    }
  ],
  "deletionProtection": "boolean",
  "allowZonalShift": "boolean"
}

Field

Description

updateMask

string (field-mask)

A comma-separated names off ALL fields to be updated.
Only the specified fields will be changed. The others will be left untouched.
If the field is specified in updateMask and no value for that field was sent in the request,
the field's value will be reset to the default. The default value for most fields is null or 0.

If updateMask is not sent in the request, all fields' values will be updated.
Fields specified in the request will be updated to provided values.
The rest of the fields will be reset to the default.

name

string

Name of the network load balancer.
The name must be unique within the folder.
The value must match the regular expression: |[a-z][-a-z0-9]{1,61}[a-z0-9].

description

string

Description of the network load balancer.
The length must be less than or equal to 256.

labels

object (map<string, string>)

Resource labels as key:value pairs.
The existing set of labels is completely replaced with the provided set.
Each map key must match the regular expression: [a-z][-_0-9a-z]*.
Each map value must match the regular expression: [-_0-9a-z]*.
The length of each map key must be between 1 and 63.
The length of each map value must be less than or equal to 63.
The number of elements must be less than or equal to 64.

listenerSpecs[]

ListenerSpec

A list of listeners and their specs for the network load balancer.
The number of elements must be less than or equal to 1000.

attachedTargetGroups[]

AttachedTargetGroup

A list of attached target groups for the network load balancer.
The number of elements must be less than or equal to 1000.

deletionProtection

boolean

Specifies if network load balancer protected from deletion.

allowZonalShift

boolean

Specifies if network load balancer available to zonal shift.

ListenerSpecListenerSpec

Listener specification that will be used by a network load balancer.

Field

Description

name

string

Name of the listener. The name must be unique for each listener on a single load balancer. 3-63 characters long.
The value must match the regular expression: |[a-z][-a-z0-9]{1,61}[a-z0-9].
This field is required.

port

string (int64)

Port for incoming traffic.
The value must be between 1 and 65535.

protocol

enum (Protocol)

Protocol for incoming traffic.
This field is required.

  • TCP
  • UDP

externalAddressSpec

ExternalAddressSpec

External IP address specification.

Includes only one of the fields externalAddressSpec, internalAddressSpec.

IP address for incoming traffic. Either the ID of the previously created address or the address specification.

internalAddressSpec

InternalAddressSpec

Internal IP address specification.

Includes only one of the fields externalAddressSpec, internalAddressSpec.

IP address for incoming traffic. Either the ID of the previously created address or the address specification.

targetPort

string (int64)

Port of a target.
Acceptable values are 1 to 65535, inclusive.

ExternalAddressSpecExternalAddressSpec

External address specification that is used by ListenerSpec.

Field

Description

address

string

Public IP address for a listener.
If you provide a static public IP address for the NetworkLoadBalancerService.Update
method, it will replace the existing listener address.

ipVersion

enum (IpVersion)

IP version.

  • IPV4: IPv4
  • IPV6: IPv6

InternalAddressSpecInternalAddressSpec

Internal address specification that is used by ListenerSpec.

Field

Description

address

string

Internal IP address for a listener.

subnetId

string

ID of the subnet.

ipVersion

enum (IpVersion)

IP version.

  • IPV4: IPv4
  • IPV6: IPv6

AttachedTargetGroupAttachedTargetGroup

An AttachedTargetGroup resource. For more information, see Targets and groups.

Field

Description

targetGroupId

string

ID of the target group.
The length must be less than or equal to 50.
This field is required.

healthChecks[]

HealthCheck

A health check to perform on the target group.
For now we accept only one health check per AttachedTargetGroup.
The number of elements must be exactly 1.

HealthCheckHealthCheck

A HealthCheck resource. For more information, see Health check.

Field

Description

name

string

Name of the health check. The name must be unique for each target group that attached to a single load balancer. 3-63 characters long.
The value must match the regular expression: |[a-z][-a-z0-9]{1,61}[a-z0-9].
This field is required.

interval

string (duration)

The interval between health checks. The default is 2 seconds.

timeout

string (duration)

Timeout for a target to return a response for the health check. The default is 1 second.

unhealthyThreshold

string (int64)

Number of failed health checks before changing the status to UNHEALTHY. The default is 2.
The value must be between 2 and 10.

healthyThreshold

string (int64)

Number of successful health checks required in order to set the HEALTHY status for the target. The default is 2.
The value must be between 2 and 10.

tcpOptions

TcpOptions

Options for TCP health check.

Includes only one of the fields tcpOptions, httpOptions.

Protocol to use for the health check. Either TCP or HTTP.
Only one field must be specified.

httpOptions

HttpOptions

Options for HTTP health check.

Includes only one of the fields tcpOptions, httpOptions.

Protocol to use for the health check. Either TCP or HTTP.
Only one field must be specified.

TcpOptionsTcpOptions

Configuration option for a TCP health check.

Field

Description

port

string (int64)

Port to use for TCP health checks.
The value must be between 1 and 65535.

HttpOptionsHttpOptions

Configuration option for an HTTP health check.

Field

Description

port

string (int64)

Port to use for HTTP health checks.
The value must be between 1 and 65535.

path

string

URL path to set for health checking requests for every target in the target group.
For example /ping. The default path is /.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "description": "string",
  "createdAt": "string",
  "createdBy": "string",
  "modifiedAt": "string",
  "done": "boolean",
  "metadata": "object",
  // Includes only one of the fields `error`, `response`
  "error": {
    "code": "integer",
    "message": "string",
    "details": [
      "object"
    ]
  },
  "response": "object"
  // end of the list of possible fields
}

An Operation resource. For more information, see Operation.

Field

Description

id

string

ID of the operation.

description

string

Description of the operation. 0-256 characters long.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

createdBy

string

ID of the user or service account who initiated the operation.

modifiedAt

string (date-time)

The time when the Operation resource was last modified.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

done

boolean

If the value is false, it means the operation is still in progress.
If true, the operation is completed, and either error or response is available.

metadata

object

Service-specific metadata associated with the operation.
It typically contains the ID of the target resource that the operation is performed on.
Any method that returns a long-running operation should document the metadata type, if any.

error

Status

The error result of the operation in case of failure or cancellation.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

response

object

The normal response of the operation in case of success.
If the original method returns no data on success, such as Delete,
the response is google.protobuf.Empty.
If the original method is the standard Create/Update,
the response should be the target resource of the operation.
Any method that returns a long-running operation should document the response type, if any.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

StatusStatus

The error result of the operation in case of failure or cancellation.

Field

Description

code

integer (int32)

Error code. An enum value of google.rpc.Code.

message

string

An error message.

details[]

object

A list of messages that carry the error details.

Была ли статья полезна?

Предыдущая
Create
Следующая
Delete
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»